Bug 42837 - Native crash in Socket static constructor
Summary: Native crash in Socket static constructor
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: io-layer (show other bugs)
Version: 4.4.0 (C7)
Hardware: PC Mac OS
: Normal normal
Target Milestone: Future Cycle (TBD)
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-07-27 13:53 UTC by Mikhail Filippov
Modified: 2017-10-13 15:55 UTC (History)
6 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Mikhail Filippov 2016-07-27 13:53:56 UTC
Stacktrace:
  at <unknown> <0xffffffff>
  at object.Equals (object,object) <0x0003f>
  at System.Configuration.PropertyInformation.SetStringValue (string) <0x0005f>
  at System.Configuration.ConfigurationElement.DeserializeElement (System.Xml.XmlReader,bool) <0x0040b>
  at System.Configuration.ConfigurationElement.DeserializeElement (System.Xml.XmlReader,bool) <0x00890>
  at System.Configuration.ConfigurationSection.DoDeserializeSection (System.Xml.XmlReader) <0x00213>
  at System.Configuration.ConfigurationSection.DeserializeSection (System.Xml.XmlReader) <0x0001f>
  at System.Configuration.Configuration.GetSectionInstance (System.Configuration.SectionInfo,bool) <0x0038c>
  at System.Configuration.Configuration.GetSectionInstance (System.Configuration.SectionInfo,bool) <0x001fb>
  at System.Configuration.ConfigurationSectionCollection.get_Item (string) <0x000cf>
  at System.Configuration.Configuration.GetSection (string) <0x00127>
  at System.Configuration.ClientConfigurationSystem.System.Configuration.Internal.IInternalConfigSystem.GetSection (string) <0x00027>
  at System.Configuration.ConfigurationManager.GetSection (string) <0x00024>
  at System.Net.Sockets.Socket..cctor () <0x004cf>
  at (wrapper runtime-invoke) object.runtime_invoke_void (object,intptr,intptr,intptr) <0x0004c>
  at <unknown> <0xffffffff>
  at (wrapper managed-to-native) object.__icall_wrapper_mono_generic_class_init (intptr) <0x00012>
  at JetBrains.Platform.RdFramework.Impl.SocketWire/Client/<>c__DisplayClass12.<.ctor>b__c () <0x00143>
  at System.Threading.ThreadHelper.ThreadStart_Context (object) <0x0008e>
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext,System.Threading.ContextCallback,object,bool) <0x001bb>
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext,System.Threading.ContextCallback,object,bool) <0x00033>
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext,System.Threading.ContextCallback,object) <0x0005a>
  at System.Threading.ThreadHelper.ThreadStart () <0x00039>
  at (wrapper runtime-invoke) object.runtime_invoke_void__this__ (object,intptr,intptr,intptr) <0x0009c>
Native stacktrace:
Debug info from gdb:
(lldb) command source -s 1 '/tmp/mono-gdb-commands.PiAUfS'
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.4.1/lib/mono/4.5/mscorlib.dll.dylib empty dSYM file detected, dSYM was created with an executable with no debug info.
Process 20687 detached
(lldb) 
=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================
Comment 1 Alex Rønne Petersen 2016-08-29 08:29:30 UTC
I am not able to reproduce this with a simple socket program with Mono master. Additionally, all but one of our socket tests are passing (the failing one is a different problem). Can you provide more information on how to reproduce this?
Comment 2 Mikhail Filippov 2016-08-29 11:28:47 UTC
It's flaky problem I don't have stable repro.
Comment 3 Mikhail Filippov 2016-09-02 12:31:00 UTC
We are capture thread dump when it error happened, may be it would helpful:
Stacktrace:
  at <unknown> <0xffffffff>
  at object.Equals (object,object) <0x0003f>
  at System.Configuration.PropertyInformation.SetStringValue (string) <0x0005f>
  at System.Configuration.ConfigurationElement.DeserializeElement (System.Xml.XmlReader,bool) <0x0040b>
  at System.Configuration.ConfigurationElement.DeserializeElement (System.Xml.XmlReader,bool) <0x00890>
  at System.Configuration.ConfigurationSection.DoDeserializeSection (System.Xml.XmlReader) <0x00213>
  at System.Configuration.ConfigurationSection.DeserializeSection (System.Xml.XmlReader) <0x0001f>
  at System.Configuration.Configuration.GetSectionInstance (System.Configuration.SectionInfo,bool) <0x0038c>
  at System.Configuration.Configuration.GetSectionInstance (System.Configuration.SectionInfo,bool) <0x001fb>
  at System.Configuration.ConfigurationSectionCollection.get_Item (string) <0x000cf>
  at System.Configuration.Configuration.GetSection (string) <0x00127>
  at System.Configuration.ClientConfigurationSystem.System.Configuration.Internal.IInternalConfigSystem.GetSection (string) <0x00027>
  at System.Configuration.ConfigurationManager.GetSection (string) <0x00024>
  at System.Net.Sockets.Socket..cctor () <0x004cf>
  at (wrapper runtime-invoke) object.runtime_invoke_void (object,intptr,intptr,intptr) <0x0004c>
  at <unknown> <0xffffffff>
  at (wrapper managed-to-native) object.__icall_wrapper_mono_generic_class_init (intptr) <0x00012>
  at JetBrains.Platform.RdFramework.Impl.SocketWire/Client/<>c__DisplayClass14.<.ctor>b__c () <0x00157>
  at System.Threading.ThreadHelper.ThreadStart_Context (object) <0x0008e>
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext,System.Threading.ContextCallback,object,bool) <0x001bb>
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext,System.Threading.ContextCallback,object,bool) <0x00033>
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext,System.Threading.ContextCallback,object) <0x0005a>
  at System.Threading.ThreadHelper.ThreadStart () <0x00039>
  at (wrapper runtime-invoke) object.runtime_invoke_void__this__ (object,intptr,intptr,intptr) <0x0009c>
Native stacktrace:
Debug info from gdb:
(lldb) command source -s 0 '/tmp/mono-gdb-commands.tLUPe2'
Executing commands in '/tmp/mono-gdb-commands.tLUPe2'.
(lldb) process attach --pid 18295
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.4.1/lib/mono/4.5/mscorlib.dll.dylib empty dSYM file detected, dSYM was created with an executable with no debug info.
Process 18295 stopped
* thread #1: tid = 0x2b27b9, 0x9a577422 libsystem_kernel.dylib`__psynch_mutexwait + 10, name = 'tid_50b', queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
    frame #0: 0x9a577422 libsystem_kernel.dylib`__psynch_mutexwait + 10
libsystem_kernel.dylib`__psynch_mutexwait:
->  0x9a577422 <+10>: jae    0x9a577432                ; <+26>
    0x9a577424 <+12>: calll  0x9a577429                ; <+17>
    0x9a577429 <+17>: popl   %edx
    0x9a57742a <+18>: movl   0x9909bf7(%edx), %edx
Executable module set to "/Library/Frameworks/Mono.framework/Versions/Current/bin/mono".
Architecture set to: i386-apple-macosx.
(lldb) thread list
Process 18295 stopped
* thread #1: tid = 0x2b27b9, 0x9a577422 libsystem_kernel.dylib`__psynch_mutexwait + 10, name = 'tid_50b', queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
  thread #2: tid = 0x2b27bb, 0x9a5773ea libsystem_kernel.dylib`__psynch_cvwait + 10
  thread #3: tid = 0x2b27bc, 0x9a5704d6 libsystem_kernel.dylib`semaphore_wait_trap + 10, name = 'tid_1303'
  thread #4: tid = 0x2b27bd, 0x9a577d5e libsystem_kernel.dylib`__workq_kernreturn + 10
  thread #5: tid = 0x2b27be, 0x9a5787fa libsystem_kernel.dylib`kevent_qos + 10, queue = 'com.apple.libdispatch-manager'
  thread #6: tid = 0x2b27bf, 0x9a577d5e libsystem_kernel.dylib`__workq_kernreturn + 10
  thread #7: tid = 0x2b27c0, 0x9a577d5e libsystem_kernel.dylib`__workq_kernreturn + 10
  thread #8: tid = 0x2b27c1, 0x9a577cee libsystem_kernel.dylib`__wait4 + 10, name = 'tid_2407'
(lldb) thread backtrace all
* thread #1: tid = 0x2b27b9, 0x9a577422 libsystem_kernel.dylib`__psynch_mutexwait + 10, name = 'tid_50b', queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
  * frame #0: 0x9a577422 libsystem_kernel.dylib`__psynch_mutexwait + 10
    frame #1: 0x95e42c62 libsystem_pthread.dylib`_pthread_mutex_lock_wait + 99
    frame #2: 0x95e4026e libsystem_pthread.dylib`_pthread_mutex_lock_slow + 277
    frame #3: 0x95e4013d libsystem_pthread.dylib`pthread_mutex_lock + 138
    frame #4: 0x001ff268 mono`mono_loader_lock [inlined] mono_os_mutex_lock(mutex=<unavailable>) + 8 at mono-os-mutex.h:70 [opt]
    frame #5: 0x001ff260 mono`mono_loader_lock [inlined] mono_coop_mutex_lock(mutex=<unavailable>) + 45 at mono-coop-mutex.h:55 [opt]
    frame #6: 0x001ff233 mono`mono_loader_lock + 3 at loader.c:2549 [opt]
    frame #7: 0x001bed9c mono`mono_class_create_from_typedef(image=<unavailable>, type_token=<unavailable>, error=0x00000000) + 140 at class.c:5784 [opt]
    frame #8: 0x001cde6e mono`mono_class_get_checked(image=<unavailable>, type_token=<unavailable>, error=<unavailable>) + 254 at class.c:7453 [opt]
    frame #9: 0x0014ae5d mono`mono_aot_get_class_from_name(image=0x7b086234, name_space="IntPtr", name=<unavailable>, klass=<unavailable>) + 781 at aot-runtime.c:2489 [opt]
    frame #10: 0x001ce973 mono`mono_class_from_name_checked_aux(image=<unavailable>, name_space=<unavailable>, error=<unavailable>, visited_images=0xbff65d78) + 323 at class.c:7851 [opt]
    frame #11: 0x001bec65 mono`mono_class_from_typeref_checked [inlined] mono_class_from_name_checked(image=0x7b085800, name_space=<unavailable>, name=<unavailable>, error=0x02bc91d1) + 53 at class.c:7944 [opt]
    frame #12: 0x001bec30 mono`mono_class_from_typeref_checked(image=<unavailable>, type_token=<unavailable>, error=0x02bc91d1) + 1168 at class.c:271 [opt]
    frame #13: 0x00200013 mono`method_from_memberref(image=<unavailable>, idx=<unavailable>, typespec_context=<unavailable>, used_context=<unavailable>, error=<unavailable>) + 323 at loader.c:1073 [opt]
    frame #14: 0x001fda4a mono`mono_get_method_from_token(image=<unavailable>, token=<unavailable>, klass=<unavailable>, context=<unavailable>, used_context=<unavailable>, error=<unavailable>) + 218 at loader.c:1893 [opt]
16:02:53.212 |V| MsBuildExecutorFactory        | MsBuild project model process '18295' exited with code 134
16:02:53.212 |V| Server                        | Terminating JetBrains.DataFlow.Lifetime lifetime
16:02:53.213 |V| Server                        | MsBuildExternalProcess is closed with exception interrupted
    frame #15: 0x001fd8a2 mono`mono_get_method_checked(image=0x7a90aa00, token=16, klass=<unavailable>, context=<unavailable>, error=<unavailable>) + 226 at loader.c:2031 [opt]
    frame #16: 0x001fd717 mono`mono_get_method_full(image=0x7a90aa00, token=167772662, klass=0x00000000, context=0x7a66d924) + 71 at loader.c:1995 [opt]
    frame #17: 0x000b6728 mono`mono_method_to_ir [inlined] mini_get_method_allow_open + 52 at method-to-ir.c:7399 [opt]
    frame #18: 0x000b66f4 mono`mono_method_to_ir [inlined] mini_get_method at method-to-ir.c:7408 [opt]
    frame #19: 0x000b66f4 mono`mono_method_to_ir(cfg=0x7b10fd98, method=0x00000000, start_bblock=<unavailable>, end_bblock=<unavailable>, return_var=0x00000000, inline_args=<unavailable>, inline_offset=<unavailable>, is_virtual_call=<unavailable>) + 26292 at method-to-ir.c:10774 [opt]
    frame #20: 0x0009f625 mono`mini_method_compile(method=<unavailable>, opts=<unavailable>, domain=<unavailable>, flags=<unavailable>, parts=1369185, aot_method_index=<unavailable>) + 3717 at mini.c:3608 [opt]
    frame #21: 0x000a22a1 mono`mono_jit_compile_method_inner(method=<unavailable>, target_domain=<unavailable>, opt=378628607, jit_ex=<unavailable>) + 657 at mini.c:4263 [opt]
    frame #22: 0x000a530d mono`mono_jit_compile_method_with_opt(method=<unavailable>, opt=<unavailable>, ex=<unavailable>) + 765 at mini-runtime.c:1952 [opt]
    frame #23: 0x000a4fb9 mono`mono_jit_compile_method(method=0x7a66d900) + 57 at mini-runtime.c:2008 [opt]
    frame #24: 0x00165a36 mono`common_call_trampoline [inlined] common_call_trampoline_inner(m=<unavailable>, vt=0x001655ad, vtable_slot=0xbff679f0) + 1102 at mini-trampolines.c:694 [opt]
    frame #25: 0x001655e8 mono`common_call_trampoline(regs=<unavailable>, code=<unavailable>, m=<unavailable>, vt=0x001655ad, vtable_slot=0xbff679f0) + 88 at mini-trampolines.c:808 [opt]
    frame #26: 0x00166d30 mono`mono_vcall_trampoline(regs=<unavailable>, code=<unavailable>, slot=<unavailable>, tramp=<unavailable>) + 144 at mini-trampolines.c:892 [opt]
    frame #27: 0x0065d989
  thread #2: tid = 0x2b27bb, 0x9a5773ea libsystem_kernel.dylib`__psynch_cvwait + 10
    frame #0: 0x9a5773ea libsystem_kernel.dylib`__psynch_cvwait + 10
    frame #1: 0x95e43538 libsystem_pthread.dylib`_pthread_cond_wait + 757
    frame #2: 0x95e45276 libsystem_pthread.dylib`pthread_cond_wait$UNIX2003 + 71
    frame #3: 0x002e32eb mono`thread_func [inlined] mono_os_cond_wait(mutex=0xb00810b0) + 18 at mono-os-mutex.h:105 [opt]
    frame #4: 0x002e32d9 mono`thread_func(thread_data=0x00000000) + 457 at sgen-thread-pool.c:118 [opt]
    frame #5: 0x95e42780 libsystem_pthread.dylib`_pthread_body + 138
    frame #6: 0x95e426f6 libsystem_pthread.dylib`_pthread_start + 155
    frame #7: 0x95e3ff7a libsystem_pthread.dylib`thread_start + 34
  thread #3: tid = 0x2b27bc, 0x9a5704d6 libsystem_kernel.dylib`semaphore_wait_trap + 10, name = 'tid_1303'
    frame #0: 0x9a5704d6 libsystem_kernel.dylib`semaphore_wait_trap + 10
    frame #1: 0x0027f46e mono`finalizer_thread [inlined] mono_os_sem_wait(flags=MONO_SEM_FLAGS_ALERTABLE) + 14 at mono-os-semaphore.h:72 [opt]
    frame #2: 0x0027f460 mono`finalizer_thread [inlined] mono_coop_sem_wait(flags=MONO_SEM_FLAGS_ALERTABLE) + 10 at mono-coop-semaphore.h:40 [opt]
    frame #3: 0x0027f456 mono`finalizer_thread(unused=0x00000000) + 118 at gc.c:711 [opt]
    frame #4: 0x002589d9 mono`start_wrapper [inlined] start_wrapper_internal + 540 at threads.c:717 [opt]
    frame #5: 0x002587bd mono`start_wrapper(data=<unavailable>) + 29 at threads.c:764 [opt]
    frame #6: 0x003129bd mono`inner_start_thread(arg=<unavailable>) + 349 at mono-threads-posix.c:92 [opt]
    frame #7: 0x95e42780 libsystem_pthread.dylib`_pthread_body + 138
    frame #8: 0x95e426f6 libsystem_pthread.dylib`_pthread_start + 155
    frame #9: 0x95e3ff7a libsystem_pthread.dylib`thread_start + 34
  thread #4: tid = 0x2b27bd, 0x9a577d5e libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #0: 0x9a577d5e libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x95e4234b libsystem_pthread.dylib`_pthread_wqthread + 1289
    frame #2: 0x95e3ff56 libsystem_pthread.dylib`start_wqthread + 34
  thread #5: tid = 0x2b27be, 0x9a5787fa libsystem_kernel.dylib`kevent_qos + 10, queue = 'com.apple.libdispatch-manager'
    frame #0: 0x9a5787fa libsystem_kernel.dylib`kevent_qos + 10
    frame #1: 0x917797ea libdispatch.dylib`_dispatch_mgr_invoke + 234
    frame #2: 0x917793be libdispatch.dylib`_dispatch_mgr_thread + 52
  thread #6: tid = 0x2b27bf, 0x9a577d5e libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #0: 0x9a577d5e libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x95e4234b libsystem_pthread.dylib`_pthread_wqthread + 1289
    frame #2: 0x95e3ff56 libsystem_pthread.dylib`start_wqthread + 34
  thread #7: tid = 0x2b27c0, 0x9a577d5e libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #0: 0x9a577d5e libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x95e4234b libsystem_pthread.dylib`_pthread_wqthread + 1289
    frame #2: 0x95e3ff56 libsystem_pthread.dylib`start_wqthread + 34
  thread #8: tid = 0x2b27c1, 0x9a577cee libsystem_kernel.dylib`__wait4 + 10, name = 'tid_2407'
    frame #0: 0x9a577cee libsystem_kernel.dylib`__wait4 + 10
    frame #1: 0x90acd7e0 libsystem_c.dylib`waitpid$UNIX2003 + 48
    frame #2: 0x0016352d mono`mono_handle_native_sigsegv(signal=11, ctx=0x007fffe0, info=0x007fffa0) + 541 at mini-exceptions.c:2348 [opt]
    frame #3: 0x001b35a2 mono`mono_arch_handle_altstack_exception(sigctx=<unavailable>, siginfo=<unavailable>, fault_addr=<unavailable>, stack_ovf=0) + 162 at exceptions-x86.c:1107 [opt]
    frame #4: 0x000a5d33 mono`mono_sigsegv_signal_handler(_dummy=<unavailable>, _info=<unavailable>, context=<unavailable>) + 467 at mini-runtime.c:2888 [opt]
    frame #5: 0x90ae779b libsystem_platform.dylib`_sigtramp + 43
    frame #6: 0x001c9da8 mono`mono_class_get_virtual_methods(klass=0x00000005, iter=0x0000001b) + 120 at class.c:9149 [opt]
    frame #7: 0x001c816d mono`mono_class_setup_vtable_general(klass=0x7b0a24c0, overrides=<unavailable>, onum=-1780219282, in_setup=<unavailable>) + 3341 at class.c:4496 [opt]
    frame #8: 0x001c73d3 mono`mono_class_setup_vtable_full(klass=<unavailable>, in_setup=0x7a6d85b0) + 291 at class.c:3867 [opt]
    frame #9: 0x001c4c41 mono`mono_class_get_vtable_entry [inlined] mono_class_setup_vtable(klass=0x7b0a24c0) + 193 at class.c:3803 [opt]
    frame #10: 0x001c4c3a mono`mono_class_get_vtable_entry(klass=0x7b0a24c0, offset=<unavailable>) + 186 at class.c:2438 [opt]
    frame #11: 0x00166d0e mono`mono_vcall_trampoline(regs=<unavailable>, code=<unavailable>, slot=3, tramp=0x00000000) + 110 at mini-trampolines.c:884 [opt]
    frame #12: 0x0065d989
(lldb) detach
Process 18295 detached
(lldb) quit
=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================
Comment 4 Mikhail Filippov 2016-10-10 12:50:37 UTC
Additional stack trace from 4.6.1:
Stacktrace:
  at <unknown> <0xffffffff>
  at object.Equals (object,object) <0x0003f>
  at System.Configuration.PropertyInformation.SetStringValue (string) <0x0005f>
  at System.Configuration.ConfigurationElement.DeserializeElement (System.Xml.XmlReader,bool) <0x0040b>
  at System.Configuration.ConfigurationElement.DeserializeElement (System.Xml.XmlReader,bool) <0x00890>
  at System.Configuration.ConfigurationSection.DoDeserializeSection (System.Xml.XmlReader) <0x00213>
  at System.Configuration.ConfigurationSection.DeserializeSection (System.Xml.XmlReader) <0x0001f>
  at System.Configuration.Configuration.GetSectionInstance (System.Configuration.SectionInfo,bool) <0x0038c>
  at System.Configuration.Configuration.GetSectionInstance (System.Configuration.SectionInfo,bool) <0x001fb>
  at System.Configuration.ConfigurationSectionCollection.get_Item (string) <0x000d7>
  at System.Configuration.Configuration.GetSection (string) <0x00127>
  at System.Configuration.ClientConfigurationSystem.System.Configuration.Internal.IInternalConfigSystem.GetSection (string) <0x00027>
  at System.Configuration.ConfigurationManager.GetSection (string) <0x00024>
  at System.Net.Sockets.Socket..cctor () <0x004cf>
  at (wrapper runtime-invoke) object.runtime_invoke_void (object,intptr,intptr,intptr) <0x0004c>
  at <unknown> <0xffffffff>
  at (wrapper managed-to-native) object.__icall_wrapper_mono_generic_class_init (intptr) <0x00012>
  at JetBrains.Platform.RdFramework.Impl.SocketWire/Client/<>c__DisplayClass17.<.ctor>b__f () <0x0014b>
  at System.Threading.ThreadHelper.ThreadStart_Context (object) <0x0008e>
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext,System.Threading.ContextCallback,object,bool) <0x001bb>
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext,System.Threading.ContextCallback,object,bool) <0x00033>
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext,System.Threading.ContextCallback,object) <0x0005a>
  at System.Threading.ThreadHelper.ThreadStart () <0x00039>
  at (wrapper runtime-invoke) object.runtime_invoke_void__this__ (object,intptr,intptr,intptr) <0x0009c>
Native stacktrace:
Debug info from gdb:
(lldb) command source -s 0 '/tmp/mono-gdb-commands.iCEe0t'
Executing commands in '/tmp/mono-gdb-commands.iCEe0t'.
(lldb) process attach --pid 17716
2016-10-09 17:10:32.271 lldb[17717:420066] Metadata.framework [Error]: couldn't get the client port
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.6.1/lib/mono/4.5/mscorlib.dll.dylib empty dSYM file detected, dSYM was created with an executable with no debug info.
Process 17716 stopped
* thread #1: tid = 0x668c1, 0x92a57422 libsystem_kernel.dylib`__psynch_mutexwait + 10, name = 'tid_50b', queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
    frame #0: 0x92a57422 libsystem_kernel.dylib`__psynch_mutexwait + 10
libsystem_kernel.dylib`__psynch_mutexwait:
->  0x92a57422 <+10>: jae    0x92a57432                ; <+26>
    0x92a57424 <+12>: calll  0x92a57429                ; <+17>
    0x92a57429 <+17>: popl   %edx
    0x92a5742a <+18>: movl   0x10579bf7(%edx), %edx
Executable module set to "/Library/Frameworks/Mono.framework/Versions/Current/bin/mono".
Architecture set to: i386-apple-macosx.
(lldb) thread list
Process 17716 stopped
* thread #1: tid = 0x668c1, 0x92a57422 libsystem_kernel.dylib`__psynch_mutexwait + 10, name = 'tid_50b', queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
  thread #2: tid = 0x668c2, 0x92a573ea libsystem_kernel.dylib`__psynch_cvwait + 10, name = 'SGen worker'
  thread #3: tid = 0x668c3, 0x92a504d6 libsystem_kernel.dylib`semaphore_wait_trap + 10, name = 'Finalizer'
  thread #4: tid = 0x668c4, 0x92a57d5e libsystem_kernel.dylib`__workq_kernreturn + 10
  thread #5: tid = 0x668c5, 0x92a587fa libsystem_kernel.dylib`kevent_qos + 10, queue = 'com.apple.libdispatch-manager'
  thread #6: tid = 0x668c6, 0x92a57d5e libsystem_kernel.dylib`__workq_kernreturn + 10
  thread #7: tid = 0x668c7, 0x92a57d5e libsystem_kernel.dylib`__workq_kernreturn + 10
  thread #8: tid = 0x668c8, 0x92a57cee libsystem_kernel.dylib`__wait4 + 10, name = 'MsBuildSessionClient'
(lldb) thread backtrace all
* thread #1: tid = 0x668c1, 0x92a57422 libsystem_kernel.dylib`__psynch_mutexwait + 10, name = 'tid_50b', queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
  * frame #0: 0x92a57422 libsystem_kernel.dylib`__psynch_mutexwait + 10
    frame #1: 0x936f3c62 libsystem_pthread.dylib`_pthread_mutex_lock_wait + 99
    frame #2: 0x936f126e libsystem_pthread.dylib`_pthread_mutex_lock_slow + 277
    frame #3: 0x936f113d libsystem_pthread.dylib`pthread_mutex_lock + 138
    frame #4: 0x001e2b58 mono`mono_loader_lock [inlined] mono_os_mutex_lock(mutex=<unavailable>) + 8 at mono-os-mutex.h:72 [opt]
    frame #5: 0x001e2b50 mono`mono_loader_lock [inlined] mono_coop_mutex_lock(mutex=<unavailable>) + 45 at mono-coop-mutex.h:55 [opt]
    frame #6: 0x001e2b23 mono`mono_loader_lock + 3 at loader.c:2257 [opt]
    frame #7: 0x001a1227 mono`mono_class_create_from_typedef(image=<unavailable>, type_token=<unavailable>, error=<unavailable>) + 167 at class.c:5701 [opt]
    frame #8: 0x001b017b mono`mono_class_get_checked(image=<unavailable>, type_token=<unavailable>, error=<unavailable>) + 251 at class.c:7389 [opt]
    frame #9: 0x0012c3dd mono`mono_aot_get_class_from_name(image=0x0012c0e1, name_space="Object", name=<unavailable>, klass=<unavailable>) + 781 at aot-runtime.c:2556 [opt]
    frame #10: 0x001b0bc6 mono`mono_class_from_name_checked_aux(image=<unavailable>, name_space=<unavailable>, visited_images=0x0008f8f0, error=<unavailable>) + 294 at class.c:7812 [opt]
    frame #11: 0x001a10da mono`mono_class_from_typeref_checked [inlined] mono_class_from_name_checked(image=0x7b082800, name_space=<unavailable>, name=<unavailable>, error=0xbff89c68) + 53 at class.c:7920 [opt]
    frame #12: 0x001a10a5 mono`mono_class_from_typeref_checked(image=0x0015998e, type_token=<unavailable>, error=0xbff89c68) + 1141 at class.c:284 [opt]
    frame #13: 0x001e39e5 mono`method_from_memberref(image=<unavailable>, idx=<unavailable>, typespec_context=<unavailable>, used_context=<unavailable>, error=0x7b94b8c8) + 293 at loader.c:795 [opt]
    frame #14: 0x001e16e8 mono`mono_get_method_from_token(image=<unavailable>, token=<unavailable>, klass=<unavailable>, context=<unavailable>, used_context=<unavailable>, error=0x7b94b8c8) + 248 at loader.c:1609 [opt]
    frame #15: 0x001e14d2 mono`mono_get_method_checked(image=0x001e1603, token=3893140, klass=<unavailable>, context=<unavailable>, error=<unavailable>) + 226 at loader.c:1744 [opt]
    frame #16: 0x00094f6a mono`mono_method_to_ir [inlined] mini_get_method_allow_open + 85 at method-to-ir.c:7433 [opt]
    frame #17: 0x00094f15 mono`mono_method_to_ir [inlined] mini_get_method at method-to-ir.c:7443 [opt]
    frame #18: 0x00094f15 mono`mono_method_to_ir(cfg=0x00000001, method=0x94b4e58d, start_bblock=<unavailable>, end_bblock=<unavailable>, return_var=0x00000001, inline_args=<unavailable>, inline_offset=<unavailable>, is_virtual_call=<unavailable>) + 26757 at method-to-ir.c:10819 [opt]
    frame #19: 0x0007c514 mono`mini_method_compile(method=0x7afdd7c0, opts=<unavailable>, domain=<unavailable>, flags=<unavailable>, parts=<unavailable>, aot_method_index=<unavailable>) + 4276 at mini.c:3516 [opt]
    frame #20: 0x0007ff23 mono`mono_jit_compile_method_inner(method=0x7afdcce0, target_domain=<unavailable>, opt=<unavailable>, error=<unavailable>) + 723 at mini.c:4197 [opt]
    frame #21: 0x00083089 mono`mono_jit_compile_method_with_opt(method=<unavailable>, opt=<unavailable>, error=0x7b879720) + 777 at mini-runtime.c:1910 [opt]
    frame #22: 0x00082d72 mono`mono_jit_compile_method(method=0x7afdcce0, error=0xbff8a7f8) + 50 at mini-runtime.c:1954 [opt]
    frame #23: 0x001474ed mono`common_call_trampoline(regs=<unavailable>, code=<unavailable>, m=<unavailable>, vt=0x00000000, vtable_slot=0x7b1f93ac, error=<unavailable>) + 1085 at mini-trampolines.c:702 [opt]
    frame #24: 0x001487b4 mono`mono_vcall_trampoline(regs=<unavailable>, code=<unavailable>, slot=<unavailable>, tramp=0x00000000) + 164 at mini-trampolines.c:908 [opt]
    frame #25: 0x00656989
  thread #2: tid = 0x668c2, 0x92a573ea libsystem_kernel.dylib`__psynch_cvwait + 10, name = 'SGen worker'
    frame #0: 0x92a573ea libsystem_kernel.dylib`__psynch_cvwait + 10
    frame #1: 0x936f4538 libsystem_pthread.dylib`_pthread_cond_wait + 757
    frame #2: 0x936f6276 libsystem_pthread.dylib`pthread_cond_wait$UNIX2003 + 71
    frame #3: 0x002d7065 mono`thread_func [inlined] mono_os_cond_wait(mutex=0xb00810b0) + 18 at mono-os-mutex.h:107 [opt]
    frame #4: 0x002d7053 mono`thread_func(thread_data=<unavailable>) + 195 at sgen-thread-pool.c:110 [opt]
    frame #5: 0x936f3780 libsystem_pthread.dylib`_pthread_body + 138
    frame #6: 0x936f36f6 libsystem_pthread.dylib`_pthread_start + 155
    frame #7: 0x936f0f7a libsystem_pthread.dylib`thread_start + 34
  thread #3: tid = 0x668c3, 0x92a504d6 libsystem_kernel.dylib`semaphore_wait_trap + 10, name = 'Finalizer'
    frame #0: 0x92a504d6 libsystem_kernel.dylib`semaphore_wait_trap + 10
    frame #1: 0x00264a97 mono`finalizer_thread [inlined] mono_os_sem_wait(flags=MONO_SEM_FLAGS_ALERTABLE) + 14 at mono-os-semaphore.h:72 [opt]
    frame #2: 0x00264a89 mono`finalizer_thread [inlined] mono_coop_sem_wait(flags=MONO_SEM_FLAGS_ALERTABLE) + 10 at mono-coop-semaphore.h:40 [opt]
    frame #3: 0x00264a7f mono`finalizer_thread(unused=0x00000000) + 191 at gc.c:761 [opt]
    frame #4: 0x0023d6af mono`start_wrapper [inlined] start_wrapper_internal + 546 at threads.c:740 [opt]
    frame #5: 0x0023d48d mono`start_wrapper(data=<unavailable>) + 29 at threads.c:788 [opt]
    frame #6: 0x003070ca mono`inner_start_thread(arg=<unavailable>) + 474 at mono-threads-posix.c:92 [opt]
    frame #7: 0x936f3780 libsystem_pthread.dylib`_pthread_body + 138
    frame #8: 0x936f36f6 libsystem_pthread.dylib`_pthread_start + 155
    frame #9: 0x936f0f7a libsystem_pthread.dylib`thread_start + 34
  thread #4: tid = 0x668c4, 0x92a57d5e libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #0: 0x92a57d5e libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x936f334b libsystem_pthread.dylib`_pthread_wqthread + 1289
    frame #2: 0x936f0f56 libsystem_pthread.dylib`start_wqthread + 34
  thread #5: tid = 0x668c5, 0x92a587fa libsystem_kernel.dylib`kevent_qos + 10, queue = 'com.apple.libdispatch-manager'
    frame #0: 0x92a587fa libsystem_kernel.dylib`kevent_qos + 10
    frame #1: 0x9688e7ea libdispatch.dylib`_dispatch_mgr_invoke + 234
    frame #2: 0x9688e3be libdispatch.dylib`_dispatch_mgr_thread + 52
  thread #6: tid = 0x668c6, 0x92a57d5e libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #0: 0x92a57d5e libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x936f334b libsystem_pthread.dylib`_pthread_wqthread + 1289
    frame #2: 0x936f0f56 libsystem_pthread.dylib`start_wqthread + 34
  thread #7: tid = 0x668c7, 0x92a57d5e libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #0: 0x92a57d5e libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x936f334b libsystem_pthread.dylib`_pthread_wqthread + 1289
    frame #2: 0x936f0f56 libsystem_pthread.dylib`start_wqthread + 34
  thread #8: tid = 0x668c8, 0x92a57cee libsystem_kernel.dylib`__wait4 + 10, name = 'MsBuildSessionClient'
    frame #0: 0x92a57cee libsystem_kernel.dylib`__wait4 + 10
    frame #1: 0x945b17e0 libsystem_c.dylib`waitpid$UNIX2003 + 48
    frame #2: 0x00144f0d mono`mono_handle_native_sigsegv(signal=11, ctx=0x007f9fe0, info=0x007f9fa0) + 541 at mini-exceptions.c:2427 [opt]
    frame #3: 0x00194ef2 mono`mono_arch_handle_altstack_exception(sigctx=<unavailable>, siginfo=<unavailable>, fault_addr=<unavailable>, stack_ovf=0) + 162 at exceptions-x86.c:1103 [opt]
    frame #4: 0x00083a63 mono`mono_sigsegv_signal_handler(_dummy=<unavailable>, _info=<unavailable>, context=<unavailable>) + 467 at mini-runtime.c:2865 [opt]
    frame #5: 0x9427b79b libsystem_platform.dylib`_sigtramp + 43
    frame #6: 0x001ac278 mono`mono_class_get_virtual_methods(klass=<unavailable>, iter=0xb041c1fc) + 104 at class.c:9189 [opt]
    frame #7: 0x001aa51d mono`mono_class_setup_vtable_general(klass=0x7b0834c0, overrides=0x00d05c03, onum=<unavailable>, in_setup=<unavailable>) + 3421 at class.c:4494 [opt]
    frame #8: 0x001a9705 mono`mono_class_setup_vtable_full(klass=<unavailable>, in_setup=0x7afddb50) + 437 at class.c:3865 [opt]
    frame #9: 0x001a71e4 mono`mono_class_get_vtable_entry [inlined] mono_class_setup_vtable(klass=0x7b0834c0) + 7 at class.c:3793 [opt]
    frame #10: 0x001a71dd mono`mono_class_get_vtable_entry(klass=0x7b0834c0, offset=3) + 189 at class.c:2430 [opt]
    frame #11: 0x0014878d mono`mono_vcall_trampoline(regs=<unavailable>, code=<unavailable>, slot=3, tramp=0x00000000) + 125 at mini-trampolines.c:900 [opt]
    frame #12: 0x00656989
(lldb) detach
Process 17716 detached
(lldb) (lldb) quit
=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================
Comment 5 Ludovic Henry 2017-10-06 20:39:21 UTC
Can you still reproduce with latest version of Mono?
Comment 6 Mikhail Filippov 2017-10-07 19:17:35 UTC
We don't have this problem on 5.2.
Comment 7 Ludovic Henry 2017-10-13 15:55:32 UTC
Please reopen if you can reproduce it with newer versions of Mono. Thank you

Note You need to log in before you can comment on or make changes to this bug.